import type { Logger } from '../logger';
import type { InitConfig } from '../types';
import type { AgentDependencies } from './AgentDependencies';
import { LogLevel } from '../logger';
export declare class AgentConfig {
    private initConfig;
    label: string;
    logger: Logger;
    readonly agentDependencies: AgentDependencies;
    constructor(initConfig: InitConfig, agentDependencies: AgentDependencies);
    /**
     * @todo move to context configuration
     */
    get walletConfig(): import("../types").WalletConfig | undefined;
    get allowInsecureHttpUrls(): boolean;
    get autoUpdateStorageOnStartup(): boolean;
    get backupBeforeStorageUpdate(): boolean;
    extend(config: Partial<InitConfig>): AgentConfig;
    toJSON(): {
        walletConfig: {
            key: string | undefined;
            storage: {
                credentials: string | undefined;
                type?: string | undefined;
            };
            id?: string | undefined;
            keyDerivationMethod?: import("../types").KeyDerivationMethod;
        };
        logger: LogLevel;
        agentDependencies: boolean;
        label: string;
        autoUpdateStorageOnStartup?: boolean;
        backupBeforeStorageUpdate?: boolean;
        allowInsecureHttpUrls?: boolean;
    };
}
